Bug 354031 - broken URL in xmlrpc3-client package description
broken URL in xmlrpc3-client package description
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xmlrpc3 (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
http://xml.apache.org/xmlrpc3/
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 09:13 EDT by petrosyan
Modified: 2010-05-05 13:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 13:35:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2007-10-26 09:13:43 EDT
Description of problem:
broken URL in xmlrpc3-client package description
URL         : http://xml.apache.org/xmlrpc3/

the correct URL seems to be http://ws.apache.org/xmlrpc/

Version-Release number of selected component (if applicable):
xmlrpc3-client-3.0-1jpp.4.fc8

Steps to Reproduce:
rpm -qi xmlrpc3-client

Additional info:
The latest version of xmlrpc is 3.1
Comment 1 Andrew Overholt 2007-12-05 10:43:57 EST
I don't think we'll be updating to xmlrpc 3.1 unless it's not API-breaking. 
Would you be willing to verify that it doesn't break API?  The only project that
I know of that uses xmlrpc in Fedora is eclipse-mylyn (the Mylyn Eclipse.org
project).  If that still works with the new xmlrpc, it's probably fine to move
forward.

A better question:  would you be willing to co-maintain xmlrpc?
Comment 2 Bug Zapper 2008-04-04 10:18:06 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 John Poelstra 2008-10-10 18:21:37 EDT
This bug has been triaged
Comment 4 Bug Zapper 2008-11-25 21:02:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Sebastian Krämer 2009-08-13 12:53:11 EDT
Still wrong link in f11.

As far as I can see from the changelog, version 3.1 didn't change API but gives many bugfixes. I don't use it myself (yet?) so, unfortunately, I can't say anything about compatibility from own experience.
Comment 6 Andrew Overholt 2009-08-17 15:01:40 EDT
I've asked upstream about moving to 3.1:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=286852

Is this really just a simple matter of updating the URL?  If that's decouple-able from moving to 3.1, I'll do it in a heart beat.
Comment 7 petrosyan 2009-08-17 15:05:46 EDT
this particular bug is about fixing the broken URL only.
Comment 8 Andrew Overholt 2009-08-17 15:19:15 EDT
Fixed in CVS.  Build is going now:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1610571
Comment 9 Bug Zapper 2010-04-27 07:48:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Andrew Overholt 2010-05-05 13:35:30 EDT
I should have closed this.  It looks like what I have installed in F-12 (what went out with F-12) has the fix:  3.0-4.10.fc12.

Note You need to log in before you can comment on or make changes to this bug.